Package ru.bitel.bgbilling.kernel.map.bean

# Class MapMarker

java.lang.Object
org.jxmapviewer.viewer.GeoPosition
ru.bitel.bgbilling.kernel.map.bean.MapMarker

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DeviceMapMarker`

public class MapMarker extends org.jxmapviewer.viewer.GeoPosition
Представление координат конкретной точки на карте.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapMarker(int id, String title, boolean showTitle, double latitude, double longitude, MouseListener mouseListener)`
  `MapMarker(int id, String title, double latitude, double longitude)`
  `MapMarker(int id, String title, double latitude, double longitude, MouseListener mouseListener)`
  `MapMarker(int id, String title, double latitude, double longitude, MouseListener mouseListener, String imagePath)`
  `MapMarker(MouseListener mouseListener, double latitude, double longitude)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MouseListener`
  `getClickListener()`
  `int`
  `getId()`
  `String`
  `getImagePath()`
  `String`
  `getTitle()`
  `boolean`
  `isShowTitle()`
  `boolean`
  `isVisible()`
  `void`
  `setClickListener(MouseListener clickListener)`
  `void`
  `setId(int id)`
  `void`
  `setImagePath(String imagePath)`
  `void`
  `setShowTitle(boolean showTitle)`
  `void`
  `setTitle(String title)`
  `void`
  `setVisible(boolean visible)`

  ### Methods inherited from class org.jxmapviewer.viewer.GeoPosition

  `equals, getLatitude, getLongitude, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MapMarker

    public MapMarker(MouseListener mouseListener, double latitude, double longitude)

  - ### MapMarker

    public MapMarker(int id, String title, double latitude, double longitude, MouseListener mouseListener)

  - ### MapMarker

    public MapMarker(int id, String title, double latitude, double longitude, MouseListener mouseListener, String imagePath)

  - ### MapMarker

    public MapMarker(int id, String title, double latitude, double longitude)

  - ### MapMarker

    public MapMarker(int id, String title, boolean showTitle, double latitude, double longitude, MouseListener mouseListener)

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getClickListener

    public MouseListener getClickListener()

  - ### setClickListener

    public void setClickListener(MouseListener clickListener)

  - ### isShowTitle

    public boolean isShowTitle()

  - ### setShowTitle

    public void setShowTitle(boolean showTitle)

  - ### isVisible

    public boolean isVisible()

  - ### setVisible

    public void setVisible(boolean visible)

  - ### getImagePath

    public String getImagePath()

  - ### setImagePath

    public void setImagePath(String imagePath)